Jump to content
colorrush

One page checkout til Prestashop 1.5

Recommended Posts

Hejsa,

 

Jeg er ved at opsætte en shop med Prestashop 1.5.1.0 og er også godt på vej. Dog har jeg nogle problemer med købsprocessen som jeg synes er ekstremt klodset og ikke-brugervenlig som standard.

 

Jeg vil gerne have at købsprocessen er så enkel og overskuelig som muligt. At man ikke skal oprette bruger og at der er OPC.

 

Så vidt jeg ved findes der ikke nogle OPC moduler til version 1.5, jeg kan i hvert fald ikke finde nogle. Så det jeg er ude i, er enten at starte forfra med en tidligere version som understøtter nogle af de OPC moduler der er, eller at få redigeret/kodet den standard OPC der er i version1.5 inkl. fjernelse af konto funktioner.

 

Hvad synes I jeg skal gøre?

Hvordan kan jeg ændre i standard OPC der er i version 1.5, hvilke filer skal jeg have fat i?

 

På forhånd tak :)

  • Like 1

Share this post


Link to post
Share on other sites

Hvis det var så ligetil, så fandtes der nok masser af moduler, du kunne købe/hente:-) Men hvis du koder et, så er der nok mange købere.

 

Skriv til Peter på http://www.canin.sk/prestashop/presta-modules/17-one-page-checkout.html og hør om tidshorisont på modulet til versionen til 1.5.

 

Alternativt kan du jo installere version 1.4.9, som spiller med diverse moduler og themes inkl. Canin's OPC og så opgradere senere.

Share this post


Link to post
Share on other sites

Takker for begge svar.

 

Hvis Canin's opc modul til 1.5 kommer om 1-2 uger fristes jeg til at vente på det :)

 

Nu vi er ved det, hvordan implementerer man så modulet? Er det bare at installere modulet og justere det under modulets indstillinger eller skal man gøre noget specielt f.eks. kodning for at få det til at spille?

Jeg skal bruge ePay som gateway hvis det har nogen betydning.

Share this post


Link to post
Share on other sites

Takker for begge svar.

 

Hvis Canin's opc modul til 1.5 kommer om 1-2 uger fristes jeg til at vente på det :)

 

Nu vi er ved det, hvordan implementerer man så modulet? Er det bare at installere modulet og justere det under modulets indstillinger eller skal man gøre noget specielt f.eks. kodning for at få det til at spille?

Jeg skal bruge ePay som gateway hvis det har nogen betydning.

 

Jeg har faktisk lige mailet med Peter i dag, da jeg skulle bruge OPC til en kunde. Jeg spurgte til en tidshorisont og han sagde, at det er undervejs - men ikke noget med 1-2 uger.

 

Der følger en vejledning med til modulet. I version 1.4 skal der rettes i en core-fil og der skal uploades nogle filer til override mappen. Aner ikke, hvordan det bliver i version 1.5

Share this post


Link to post
Share on other sites

Vi sidder og udviklet på One Page CheckOut moduler til 1.5 i skrivende stund.

 

Et til QuickPay og et andet til ePay.

 

Jeg opdatere her i tråden når vi har dem klar.

Share this post


Link to post
Share on other sites

Laver I en version til hver af de to betalingsgateways? Det virker ikke logisk. Hvad nu, hvis man skifter betalingsgateway - som jeg f.eks. har gjort i år, så skal man ud over stavnsbinding i et år til epay også købe et nyt OPC-modul, hvis man er skiftet til Quickpay. Eller hvordan fungerer det?

  • Like 1

Share this post


Link to post
Share on other sites

Kære Prestafan1234,

 

Om det er logisk eller ej, det ved jeg ikke. Jeg ved blot, at vi udvikler et modul til både ePay og QuickPay, da det er 2 forskellige relayscripts vi skal kode op i mod. Meget af koden er den samme, men det bliver stadig:

 

1. Et modul til ePay

2. Et modul til QuickPay

 

At man så skifter betalingsgateway(hvor mange gør egentlig det?), ja, det er op til shopejeren, og så er det jo godt at vi har et modul til begge systemer :)

Er man i tvivl om, hvorvidt man får lyst til at skifte betalingsgateway i løbet af det år man binder sig ved ePay eller QuickPay, ja så er man da velkommen til at indhente et tilbud på begge moduler.

 

Med ønske om en rigtig dejlig søndag eftermiddag/aften.

 

Mvh.

Krsitian Ole Rørbye

Share this post


Link to post
Share on other sites

Og det må jeg da så lige kommentere på :-)

 

Du skriver, at det er 2 forskellige relayscripts. Det er sikkert rigtigt. Men at man skal vælge modul for relayscriptets skyld kan jeg ikke forstå.

 

Da jeg kørte mine shops i version 1.3.4.? med ePay brugte jeg relayscriptet, og var så vidt jeg kan forstå her på forum en af de få, som kunne får dét til at virke.

 

Efter opgradering til version 1.4.x.x. droppede jeg relayscriptet, da jeg ikke få det til at virke.

 

Har så senere skiftet til Quickpay, med standard betalingsvinduet.

 

Og det kan OPC da klare, uanset ePay eller Quickpay.

 

Der er i hvert fald een faktuel fejl i dit indlæg: Med Quickpay kan man opsige sig abonnement til udgangen af et kvartal. Med ePay binder man sig for et år ad gangen.

 

Men det ændrer ikke ved min holdning til, at man "ja så er man da velkommen til at indhente et tilbud på begge moduler."

 

Med andre ord: Hvis man er ligeglad med relayscript, hvorfor skal man så have 2 forskellige moduler at vælge imellem?

 

Hvorfor bare ikke udvikle eet modul, som kan klare begge relayscripts.

Share this post


Link to post
Share on other sites

Hvorfor bare ikke udvikle eet modul, som kan klare begge relayscripts.

Enig! Teknisk set, er der ikke noget til hinder for at udvikle et modul, der kan klare begge relay scripts.

Share this post


Link to post
Share on other sites

Om det er logisk eller ej, det ved jeg ikke. Jeg ved blot, at vi udvikler et modul til både ePay og QuickPay, da det er 2 forskellige relayscripts vi skal kode op i mod. Meget af koden er den samme, men det bliver stadig:

 

1. Et modul til ePay

2. Et modul til QuickPay

 

At man så skifter betalingsgateway(hvor mange gør egentlig det?), ja, det er op til shopejeren, og så er det jo godt at vi har et modul til begge systemer :)

Er man i tvivl om, hvorvidt man får lyst til at skifte betalingsgateway i løbet af det år man binder sig ved ePay eller QuickPay, ja så er man da velkommen til at indhente et tilbud på begge moduler.

 

 

En del starter med epay for det er billigst, hvis man kun sælger i Danmark, men finder man så ud af, at man også kan sælge til andre lande, så er Quickpay langt mere interessant - så ja, der er folk der skifter.

 

Da rigtig mange nyopstartede shops ikke engang vil ofre et OPC modul på deres shop, så tror jeg ærligt talt I vil få svært ved at sælge to forskellige versioner, når der allerede findes et modul, der kan håndtere begge betalingsgateways.

 

Men det kommer jo helt an på, hvad I udvikler, hvad det koster, og hvad det kan i forhold til de mange funktioner, man allerede nu kan få med OPC-modulet, som jo efter sigende lige straks er klart til version 1.5

Share this post


Link to post
Share on other sites

Det lyder spændende at man burde kunne udvikle et modul der klare begge scripts.

 

Nu er jeg ikke selv programmør, så det vil jeg prøve at ligge over på hans bord og så se om det også var en mulighed - tak for info :)

Share this post


Link to post
Share on other sites

Kære Prestafan1234,

 

Om det er logisk eller ej, det ved jeg ikke. Jeg ved blot, at vi udvikler et modul til både ePay og QuickPay, da det er 2 forskellige relayscripts vi skal kode op i mod. Meget af koden er den samme, men det bliver stadig:

 

1. Et modul til ePay

2. Et modul til QuickPay

 

At man så skifter betalingsgateway(hvor mange gør egentlig det?), ja, det er op til shopejeren, og så er det jo godt at vi har et modul til begge systemer :)

Er man i tvivl om, hvorvidt man får lyst til at skifte betalingsgateway i løbet af det år man binder sig ved ePay eller QuickPay, ja så er man da velkommen til at indhente et tilbud på begge moduler.

 

Med ønske om en rigtig dejlig søndag eftermiddag/aften.

 

Mvh.

Krsitian Ole Rørbye

 

Hvad er status med OPC modulet til Quickpay (til Prestashop 1.5.2)? :-)

Share this post


Link to post
Share on other sites

Har du hørt om Google?

Søger du på OPC prestashop 1.5 får du ingen hit.

 

Canin er nævnt i denne tråd. Og kikker du på hans side, så er seneste version til PS 1.4.

 

Så det kan vi desværre ikke svare på.

 

Arggg. Og så kom der i en anden tråd alligevel et link, hvor der står at den er testet til version 1.4.5.1. Om det virker ved jeg ikke.

Edited by pertho (see edit history)

Share this post


Link to post
Share on other sites

Jeg forstår simpelthen ikke at prestashop ikke bare laver et ordentlig checkud flow som standard. Det var været et issue siden jeg begyndte med prestashop i 2009, og er det stadigvæk idag - på trods af at der er kommet 3 hovedversions skift undervejs. De har forsøgt med OPC'er, men det er ikke gået helt godt.

  • Like 1

Share this post


Link to post
Share on other sites

Det kan jeg da godt forstå.

Vi er altså en hel del, som har købt OPC med support, og dermed ubegrænsede opdateringer.

Hvis Prestashop så indfører samme funktionalitet i nye versioner gratis, så har Canin altså et problem.

 

Så ud fra den betragtning kan jeg godt forstå, at den indbyggede OPC som standard har nogle "forskelle".

 

Så forstår jeg ikke, hvad du mener med "De har forsøgt med OPC'er, men det er ikke gået helt godt."? Det fungerer da.

 

(Og p.t. bruger jeg selv den indbyggede, men kun fordi den købte har nogle problemer med AWP samtidig. Dem mener jeg dog at have fået styr på, så det varer ikke længe inden jeg er tilbage på den købte :-))

Edited by pertho (see edit history)

Share this post


Link to post
Share on other sites

Jeg tror du misforstår mig, jeg synes ikke de skal implementere hans modul som standard, jeg synes de skal løfte niveau'et for checkud flowet. Det konvertere utvivlsom meget dårligt og må alt andet end lige være et stort problem at Prestashop skal lægge deres lid til at eksterne udviklere laver en betalt løsning.

 

Jeg synes ikke han har et problem hvis prestashop laver et godt checkud flow, det kan han jo ikke gøre for og det skulle da næppe være det som stod i vejen for at alle andre fik noget godt og gratis :)

Share this post


Link to post
Share on other sites

Jeg ved ikke om jeg misforstår dig.

 

Så må du sige hvad du mangler. Jeg kan nævne 2:

  • at man skal logge ind for at kunne se betalingsmulighederne
  • at der ikke er funktionalitet til automatisk hak i Tilmeld Nyhedsbrev.

Alt andet er da bare smartere layout, herunder validering af input i felterne.

 

Disse ting er vel noget vi andre har betalt for.

Edited by pertho (see edit history)

Share this post


Link to post
Share on other sites

Automatisk hak i Tilmeld Nyhedsbrev er i strid med lovgivningen, så det kan vel være det samme.

 

/Kjeld

Share this post


Link to post
Share on other sites

Hehe OK :)

 

Jeg har eftersøgt folk på Twitter der kunne være intersseret i at prøve et af dem, ganske gratis for at vi efterfølgende kan bruge dem som reference.

 

Det gælder stadigvæk, da vi indtil videre ikke har fundet nogen.

 

PS. På demoerne er teksten ikke oversat til dansk, det bliver selvf. oversat ved installation på en dask shop.

Share this post


Link to post
Share on other sites

Hehe OK :)

 

Jeg har eftersøgt folk på Twitter der kunne være intersseret i at prøve et af dem, ganske gratis for at vi efterfølgende kan bruge dem som reference.

 

Det gælder stadigvæk, da vi indtil videre ikke har fundet nogen.

 

PS. På demoerne er teksten ikke oversat til dansk, det bliver selvf. oversat ved installation på en dask shop.

 

Jeg vil meget gerne teste og prøve det :-)

 

Send mig evt. en PM..

Share this post


Link to post
Share on other sites

Automatisk hak i Tilmeld Nyhedsbrev er i strid med lovgivningen, så det kan vel være det samme.

 

/Kjeld

 

Jeg mener, at det er OK, at kunden kan fravælge det, så det kan ikke være i strid med lovgivningen.

 

Så længe kunden kan fjerne det hak, er det efter min overbevisning ikke ulovligt,.

Share this post


Link to post
Share on other sites

Det er ikke i orden at kunden kommer til at modtage et nyhedsbrev, hvis han/hun ikke aktivt har tilvalgt dette. Læs mere her. Bemærk særligt formuleringen:

 

Et samtykke kan ikke indhentes ved stiltiende eller passiv accept – fx ved at den erhvervsdrivende skriver, at modtageren vil modtage en mail, medmindre modtageren meddeler den erhvervsdrivende, at han ikke ønsker dette.

 

/Kjeld

Share this post


Link to post
Share on other sites

Jeg har det fra én, der driver en temmelig stor webshop. Han fik en henstilling om at fjerne det. Se også mit citat i #28.

 

/Kjeld

Share this post


Link to post
Share on other sites

Det er klart at det er et område, hvor man skal udvise stor agtpågivenhed, men afhængigt af forholdende omkring webshoppen og sortimentet, er det ikke ulovligt at have opt-out i stedet for opt-in. Dog vil det dog altid være nemmest og mindst risikofyldt at vælge opt-in.

 

Jeg henholder mig til følgende:

 

Her er e-handelsfondens kommentar/fortolkning.

 

De håndhæver deres egen fortolkning i forbindelse med e-mærket, så hvis man vælger eller har valgt at benytte e-mærket, skal man have opt-in.

 

I kontrast dertil, siger forbrugerombudsmanden flg.:

http://www.forbrugerombudsmanden.dk/Love-og-regulering/Retningslinjer-og-vejledninger/Markedsfoeringsloven/Spamvejledning#4

 

Her er en anden artikel (ligeledes fundet i kommentarsektionen på afdeling18.dk) - den er dog lidt gammel:

http://www.ivaerksaetteren.dk/flx/artikler/artikel/spam-internettets-forbudte-frugter-117/

Share this post


Link to post
Share on other sites

Nu endte denne tråd jo desværre med en diskussion om hak i tilmelding til nyhedsbrev er lovligt eller ej. Det var jeg jo nok selv skyld i.

 

Men til orientering, så har jeg fra Peter i dag modtaget versionen til PS 1.5. Har ikke installeret den endnu.

 

Men nu har I da den information :-)

Share this post


Link to post
Share on other sites

Hmmm.

Ja, nu havde jeg købt tidligere versioner med support, så jeg kan bare bede om opgraderinger. Og Peter var så venlig at sætte mig på "ønskelisten".

 

Men jeg kan godt se problemet, hvis man ikke har OPC i forvejen. Hvornår han så gør det, ved jeg desværre ikke. Men du kan jo prøve at sende ham en forespørgsel via siden? :rolleyes:

Edited by pertho (see edit history)

Share this post


Link to post
Share on other sites

Jeg har heldigvis også købt med support, men tror da lige jeg smider ham en mail og spørger pænt ;)

 

Tak for info

Share this post


Link to post
Share on other sites

Ja, han skal bare vide ordrenummeret. Så sender han den.

Så er den ged vist barberet B)

Share this post


Link to post
Share on other sites

Jeg er ked af at trække en gammel tråd op... Men hvis man har købt OPC modul hos canin - til version 1.3.6 .. Er han SÅ GAVMILD at hjælpe med at få det til at fungere til version 1.5.3? eller skal man købe nyt? :)

Share this post


Link to post
Share on other sites

YARGH, ikke denne tråd igen.

 

Den startede med at en eller anden dansk udvikler havde lavet en OnePageCheckout, som ikke virker.

 

Der bliver adskillige gange henvist til Canins modul.

 

Om han er så venlig at hjælpe: JA.

Men det er ikke nødvendig med hans hjælp. Det fungerer bare FØRTE GANG !!!

Og køber du med support, så kan du altid spørge. OG du får altid nyester version, når du beder om det. Også selvom PS har skiftet til et højere versionsnummer.

 

Kan vi ikke snart slippe af med denne her tråd?)(

Share this post


Link to post
Share on other sites

Det er nu ikke helt korrekt.. Folk der har købt tidligere moduler med support, kan opgradere til den nye 1.5 version med 50% rabat.

Share this post


Link to post
Share on other sites

Hmmm,

så må han da have ændret prispolitik.

Jeg har haft det modul siden PS 1.3.x.x med support og har ikke betalt een eneste euro for upgrade til nyeste version.

 

Det med upgrade med 50% rabat kan jeg altså ikke se på hans side.

 

UPDATE (nåååh ja):

 

"For existing customers: Customers with standard version of this checkout module can update with 50% discount - just for 29,95 eur (calculated automatically when logged-in). Customers with support license update one year for free. Just log-in and make free order."

 

D.v.s. kunder uden support kan opgradere til med support med 50% rabat.

Det med update et år tager han tilsyneladende ikke så tungt.

Jeg har altid bare mailet ham, og så får jeg nyeste version tilsendt.

Edited by pertho (see edit history)

Share this post


Link to post
Share on other sites

For existing customers: Customers with standard version of this checkout module can update with 50% discount - just for 29,95 eur (calculated automatically when logged-in). Customers with support license update one year for free. Just log-in and make free order.

Share this post


Link to post
Share on other sites

Do you get the module instantly when you buy?

Do you get serialnumber or something so that its locked to 1license?

I got one shop that will soon change host , name and all so will i have to buy new then or can i just use same?

 

Please help me!!

Share this post


Link to post
Share on other sites

Do you get the module instantly when you buy?

Do you get serialnumber or something so that its locked to 1license?

I got one shop that will soon change host , name and all so will i have to buy new then or can i just use same?

 

Please help me!!

Share this post


Link to post
Share on other sites

Do you get the module instantly when you buy?

Do you get serialnumber or something so that its locked to 1license?

I got one shop that will soon change host , name and all so will i have to buy new then or can i just use same?

 

Please help me!!

 

This is the Danish forum, and in this thread the module is discussed, not the terms or the questions you have. You should contact the devolper if you have questions.

Edited by Prestafan1234 (see edit history)

Share this post


Link to post
Share on other sites

This is the Danish forum, and in this thread the module is discussed, not the terms or the questions you have. You should contact the devolper if you have questions.

 

I know it is, im from Sweden so i understand all..

Since alot people in this thread have bought the module i see not a single reason why they wont be able to answer my questions..

I tried to contact the devoloper but the contact doesnt work on their site and why is it wrong to ask here?

Have you bought the module?

Edited by editorstefan (see edit history)

Share this post


Link to post
Share on other sites

Jamen så vælger jeg at svare på dansk:-) Ja, jeg har købt modulet til mig selv og til mange af mine kunder. Du får ikke et serienummer, men jeg mener modulets policy er, at du kan bruge det på op til to shops, som du selv ejer (men dette skal du tjekke med udvikleren). Modulet får man i form af et download link efter betaling.

Kontaktformularen plejer at virke fint, men mailadressen til udvikleren er prestamodules@gmail.com - denne står også på hjemmesiden under "About us".

Edited by Prestafan1234 (see edit history)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More